# Generated by Django 2.2.6 on 2019-11-01 13:53

import bucket.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Bucket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('node_id', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='File',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file_name', models.CharField(max_length=50)),
                ('file', models.FileField(null=True, upload_to=bucket.models.data_directory_path)),
                ('vector_1', models.IntegerField(default=0)),
                ('vector_2', models.IntegerField(default=0)),
                ('vector_3', models.IntegerField(default=0)),
                ('bucket_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bucket.Bucket')),
            ],
        ),
    ]
